Package org.firebirdsql.jaybird.props

## Class PropertyNames

- java.lang.Object
- - org.firebirdsql.jaybird.props.PropertyNames

    public final class PropertyNames
    extends java.lang.Object

Property names and aliases used by Jaybird.

In defiance of normal style rules for Java, the constants defined in this class use the same name as their value (if syntactically valid).

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `attachObjectName`
`static java.lang.String` `authPlugins`
`static java.lang.String` `blobBufferSize`
`static java.lang.String` `charSet`
`static java.lang.String` `columnLabelForName`
`static java.lang.String` `connectTimeout`
`static java.lang.String` `databaseName`
`static java.lang.String` `dataTypeBind`
`static java.lang.String` `dbCryptConfig`
`static java.lang.String` `decfloatRound`
`static java.lang.String` `decfloatTraps`
`static java.lang.String` `defaultIsolation`
`static java.lang.String` `defaultResultSetHoldable`
`static java.lang.String` `encoding`
`static java.lang.String` `expectedDb`
`static java.lang.String` `extendedMetadata`
`static java.lang.String` `generatedKeysEnabled`
`static java.lang.String` `ignoreProcedureType`
`static java.lang.String` `pageCacheSize`
`static java.lang.String` `parallelWorkers`
`static java.lang.String` `password`
`static java.lang.String` `portNumber`
`static java.lang.String` `processId`
`static java.lang.String` `processName`
`static java.lang.String` `roleName`
`static java.lang.String` `scrollableCursor`
`static java.lang.String` `serverBatchBufferSize`
`static java.lang.String` `serverName`
`static java.lang.String` `serviceName`
`static java.lang.String` `sessionTimeZone`
`static java.lang.String` `socketBufferSize`
`static java.lang.String` `soTimeout`
`static java.lang.String` `sqlDialect`
`static java.lang.String` `timestampUsesLocalTimezone` Deprecated. This property has unclear semantics and will be removed in Jaybird 6
`static java.lang.String` `tpbMapping`
`static java.lang.String` `type`
`static java.lang.String` `useFirebirdAutocommit`
`static java.lang.String` `user`
`static java.lang.String` `useServerBatch`
`static java.lang.String` `useStreamBlobs`
`static java.lang.String` `wireCompression`
`static java.lang.String` `wireCrypt`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverName

    public static final java.lang.String serverName

See Also:
  Constant Field Values

#### portNumber

    public static final java.lang.String portNumber

See Also:
  Constant Field Values

#### attachObjectName

    public static final java.lang.String attachObjectName

See Also:
  Constant Field Values

#### databaseName

    public static final java.lang.String databaseName

See Also:
  Constant Field Values

#### serviceName

    public static final java.lang.String serviceName

See Also:
  Constant Field Values

#### type

    public static final java.lang.String type

See Also:
  Constant Field Values

#### user

    public static final java.lang.String user

See Also:
  Constant Field Values

#### password

    public static final java.lang.String password

See Also:
  Constant Field Values

#### roleName

    public static final java.lang.String roleName

See Also:
  Constant Field Values

#### processId

    public static final java.lang.String processId

See Also:
  Constant Field Values

#### processName

    public static final java.lang.String processName

See Also:
  Constant Field Values

#### charSet

    public static final java.lang.String charSet

See Also:
  Constant Field Values

#### encoding

    public static final java.lang.String encoding

See Also:
  Constant Field Values

#### socketBufferSize

    public static final java.lang.String socketBufferSize

See Also:
  Constant Field Values

#### soTimeout

    public static final java.lang.String soTimeout

See Also:
  Constant Field Values

#### connectTimeout

    public static final java.lang.String connectTimeout

See Also:
  Constant Field Values

#### wireCrypt

    public static final java.lang.String wireCrypt

See Also:
  Constant Field Values

#### dbCryptConfig

    public static final java.lang.String dbCryptConfig

See Also:
  Constant Field Values

#### authPlugins

    public static final java.lang.String authPlugins

See Also:
  Constant Field Values

#### wireCompression

    public static final java.lang.String wireCompression

See Also:
  Constant Field Values

#### parallelWorkers

    public static final java.lang.String parallelWorkers

See Also:
  Constant Field Values

#### sqlDialect

    public static final java.lang.String sqlDialect

See Also:
  Constant Field Values

#### blobBufferSize

    public static final java.lang.String blobBufferSize

See Also:
  Constant Field Values

#### useStreamBlobs

    public static final java.lang.String useStreamBlobs

See Also:
  Constant Field Values

#### pageCacheSize

    public static final java.lang.String pageCacheSize

See Also:
  Constant Field Values

#### defaultResultSetHoldable

    public static final java.lang.String defaultResultSetHoldable

See Also:
  Constant Field Values

#### useFirebirdAutocommit

    public static final java.lang.String useFirebirdAutocommit

See Also:
  Constant Field Values

#### generatedKeysEnabled

    public static final java.lang.String generatedKeysEnabled

See Also:
  Constant Field Values

#### dataTypeBind

    public static final java.lang.String dataTypeBind

See Also:
  Constant Field Values

#### sessionTimeZone

    public static final java.lang.String sessionTimeZone

See Also:
  Constant Field Values

#### ignoreProcedureType

    public static final java.lang.String ignoreProcedureType

See Also:
  Constant Field Values

#### columnLabelForName

    public static final java.lang.String columnLabelForName

See Also:
  Constant Field Values

#### decfloatRound

    public static final java.lang.String decfloatRound

See Also:
  Constant Field Values

#### decfloatTraps

    public static final java.lang.String decfloatTraps

See Also:
  Constant Field Values

#### tpbMapping

    public static final java.lang.String tpbMapping

See Also:
  Constant Field Values

#### defaultIsolation

    public static final java.lang.String defaultIsolation

See Also:
  Constant Field Values

#### scrollableCursor

    public static final java.lang.String scrollableCursor

See Also:
  Constant Field Values

#### useServerBatch

    public static final java.lang.String useServerBatch

See Also:
  Constant Field Values

#### serverBatchBufferSize

    public static final java.lang.String serverBatchBufferSize

See Also:
  Constant Field Values

#### extendedMetadata

    public static final java.lang.String extendedMetadata

See Also:
  Constant Field Values

#### expectedDb

    public static final java.lang.String expectedDb

See Also:
  Constant Field Values

#### timestampUsesLocalTimezone

    @Deprecated
    public static final java.lang.String timestampUsesLocalTimezone

Deprecated.
This property has unclear semantics and will be removed in Jaybird 6

See Also:
  Constant Field Values